<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="sandstone.css">
    <script type="text/javascript" src="user.js"></script>
    <script type="text/javascript" src="group.js"> </script>
    <script type="text/javascript" src="category.js"> </script>
    <script type="text/javascript" src="location.js"> </script>
    <script type="text/javascript" src="entry.js"> </script>
    <script type="text/javascript" src="total.js"> </script>
    <script type="text/javascript" src="handlers.js"> </script>
</head>

<body>
<title>HPTTS</title>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="index.html">HPTTS</a>
        <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="log_entry_input.html">New log entry</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="other_entities_input.html">New other entity</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="overview.html">Overview</a>
            </li>
        </ul>
        <a class="nav-link" href="login.html">Login</a>
        <!-- <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="text" placeholder="Search">
            <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
        </form> -->
        </div>
    </nav>

<div id="main_container" style="padding:50px; padding-top:30px">
    <h1>Create new entities</h1>
    <br>
    <fieldset>
            <legend>New User</legend>
    
            <div class="form-group">
                    <label for="inputUserName">User name (3 to 20 characters)</label>
                    <input type="text" class="form-control" id="inputUserName" placeholder="Jane Doe">
            </div>
    
            <div class="form-group">
                <label for="inputEmailAddress">Email address</label>
                <input type="email" class="form-control" id="inputEmailAddress" aria-describedby="emailHelp" placeholder="jane_doe@domain.com">
            </div>
            
            <div class="form-group">
                <label for="inputPassword">Password</label>
                <input type="password" class="form-control" id="inputPassword" aria-describedby="passwordHelp">
            </div>
        
            <button onclick="postUsers(createUserJSBody(inputUserName.value, inputEmailAddress.value, inputPassword.value), alert, alert)" class="btn btn-primary">Create new user</button>
    </fieldset>
    <br>
    <br>

    <fieldset>
            <legend>New Group</legend>
    
            <div class="form-group">
                    <label for="inputGroupName">Group name (3 to 20 characters)</label>
                    <input type="text" class="form-control" id="inputGroupName" placeholder="Awesome group">
            </div>
    
            <div class="form-group">
                <label for="inputGroupParticipants">Participants</label>
                <input type="text" class="form-control" id="inputGroupParticipants" placeholder="Kees Kort; Jan Jansen; Clarabella Kwast">
            </div>
            
            <button onclick="postGroups(createGroupJSBody(inputGroupName.value), alert, alert)" class="btn btn-primary">Create new Group</button>
    </fieldset>
    <br>
    <br>

    <fieldset>
            <legend>New Category</legend>
    
            <div class="form-group">
                    <label for="inputCategoryName"> (New/Main) Category name </label>
                    <input type="text" class="form-control" id="inputCategoryName" placeholder="Meeting">
            </div>
    
            <div class="form-group">
                <label for="inputSubCategoryName"> Sub category name (fill in only when creating a subcategory off of a main category) </label>
                <input type="text" class="form-control" id="inputSubCategoryName" placeholder="HR Meeting">
            </div>
            
            <button onclick="postCategories(createCategoryJSBody(inputCategoryName.value, inputSubCategoryName.value), alert, alert)" class="btn btn-primary">Create new (Sub)Category</button>
    </fieldset>
    <br>
    <br>

    <fieldset>
            <legend>New Location</legend>
    
            <div class="form-group">
                    <label for="inputLocationName"> Location name </label>
                    <input type="text" class="form-control" id="inputLocationName" placeholder="Office">
            </div>
            
            <button onclick="postLocations  (createLocationJSBody(inputLocationName.value), alert, alert)" class="btn btn-primary">Create new Location</button>
    </fieldset>
</div>

</body>
</html>
